## uudeview 0.5.9-1

=== inews/Makefile ===
# Makefile for NN version of mini inews.
#
# $RCSfile: Makefile,v $	$Revision: 1.1.1.1 $
#
# $Author: fp $	$Date: 1996/06/06 19:41:07 $
#
# $State: Exp $	$Locker:  $
#
# $Log: Makefile,v $
# Revision 1.1.1.1  1996/06/06  19:41:07  fp
# UUDeview put under revision control
#
# Revision 1.3  89/12/21  17:59:52  news
# Added kit processing, cleanups.
#
# This makefile needs the definitions of NNTPSERVER, DOMAIN and HIDDENNET
# on the make command line. __FP__
#

TARGET	= minews

BINDIR	= .
SHELL	= /bin/sh

SRCS	= inews.c clientlib.c version.c
OBJS	= inews.o clientlib.o version.o
CFLAGS	= -DNNTPSERVER=\"$(NNTPSERVER)\" -DDOMAIN=\"$(DOMAIN)\" \
	  -DHIDDENNET=$(HIDDENNET)

$(TARGET): $(OBJS)
	$(CC) $(CFLAGS) -o $(TARGET) $(OBJS) $(LIBS)

all:	$(TARGET)

clean:
	rm -f $(OBJS) core lint tags *~

clobber:	clean
	rm -f $(TARGET) Make.Log Manifest $(KIT)

install:	$(TARGET)
	../inst inews $(TARGET)
#	install -o news -g news -m 511 -s -c $(TARGET) $(BINDIR)

## uudeview 0.5.20

=== inews/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # $State: Exp $	$Locker:  $
 #
 # $Log: Makefile,v $
-# Revision 1.1.1.1  1996/06/06  19:41:07  fp
+# Revision 1.1.1.1  1996/06/06 19:41:07  fp
 # UUDeview put under revision control
 #
 # Revision 1.3  89/12/21  17:59:52  news

=== debian/changelog ===
uudeview (0.5.20-9) unstable; urgency=low

  * QA upload.
  * 043_string_format_issue.diff: Fix another fprintf warning, patch is now
    identical to Fedora's -35 uudeview-format-security.patch.
  * 048_improved_doc_for_-a_option.diff: Improve on documentation for uuenview
    -a. Closes: #594355

 -- Andreas Metzler <ametzler@debian.org>  Sat, 30 Jul 2016 14:09:39 +0200

uudeview (0.5.20-8) unstable; urgency=low

  * QA upload.
  * So, contrary to the docs the legacy variant of AUTOPKGTEST_TMP is ADTTMP,
    not ADT_TMP.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 24 Jul 2016 15:54:06 +0200

uudeview (0.5.20-7) unstable; urgency=low

  * QA upload.
  * In autopkgtest fall back to ADT_TMP if AUTOPKGTEST_TMP is unset.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 22 Jul 2016 19:24:30 +0200

uudeview (0.5.20-6) unstable; urgency=low

  * QA upload.
  * Debug failing autopkgtest.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 18 Jul 2016 19:20:42 +0200

uudeview (0.5.20-5) unstable; urgency=low

  * QA upload.
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 17 Jul 2016 11:43:10 +0200

uudeview (0.5.20-4) experimental; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group.
  * Switch to 3.0 (quilt) format.
    + 010_xdeview_global_MIME.diff
    + 013_prefer_rename.diff
    + 016_document_-v.diff
    + 017_use_hevea.diff
    + 019_long_headers.diff
    + 022_epsfig.sty.diff
    + 025_CAN-2004-2265.diff
    + 028_suspicious_file.patch
    + 031_do_not_force_overwrite.diff
    + 034_do_not_ignore_special_chars.diff
    + 037_CVE-2008-2266_symlink.diff, modified to not hardcode HAVE_MKSTEMP.
    + 040_add_shared_lib.diff
    + 043_string_format_issue.diff
  * Use dh_install instead of dh_movefiles.
  * Simplify installation, directly reference file in debian/*.install or
    debian/*.manpages instead of copying to debian/tmp in debian rules and
    installing this copy.
  * Convert to dh.
  * Add Homepage field to debian/control.
  * Drop empty xdeview.TODO.
  * Drop b-d on dpkg-dev (>= 1.16).
  * Standards-Version: 3.9.8
  * Suggest default-mta meta-packagage instead of "exim4".
  * Mention yEncoding support in package descriptions. Closes: #506637
  * 046_typoes.diff: Typoes fixed, thanks to lintian.
  * Use different package descriptions for runtime-library and development
    package.
  * Build --with autoreconf.
  * Build with hardening=+all. Enhance 040_add_shared_lib.diff to strip out
    -fPIE -pie from libuu LDFLAGS.
  * Add minimal autopkgtest and run it against just-built binary.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 16 Jul 2016 19:41:05 +0200

uudeview (0.5.20-3.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Update to debhelper (Closes: #817711)

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 22 Jun 2016 19:08:14 +0200

uudeview (0.5.20-3.4) unstable; urgency=low

  * Non-maintainer upload.
  * Depend on tcl-dev and tk-dev, not on versioned packages.
  * Add ${misc:Depends}.
  * Add hardening flags.
  * Fix potential security issue (arbitrary string being passed as a format
    string to fprintf).

 -- Andrew Shadura <andrewsh@debian.org>  Fri, 03 May 2013 17:30:45 +0200

uudeview (0.5.20-3.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: ! LaTeX Error: File `a4wide.sty' not found.":
    add texlive-latex-extra to Build-Depends. Thanks to Sebastian Ramacher.
    (Closes: #666325)

 -- gregor herrmann <gregoa@debian.org>  Tue, 01 May 2012 14:36:57 +0200

uudeview (0.5.20-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Build-depends on texlive-latex-recommended and texlive-fonts-recommended.
    (Closes: #526534)

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 16 Aug 2009 20:12:07 +0200

uudeview (0.5.20-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fixed a classical tempfile symlink attack vulnerability in libuu.
    Thanks to Nico Golde for the patch. (Closes: #480972)
  * Added a shared library package. (Closes: #216593)
  * Added support for dpkg-buildpackage setting $CFLAGS.
  * Removed no-op maintainer scripts.
  * Replaced the deprecated tetex dependencies with texlive-latex-base.

 -- Marco d'Itri <md@linux.it>  Wed, 21 May 2008 01:34:35 +0200

uudeview (0.5.20-3) unstable; urgency=low

  * Ack NMU.  (closes: Bug#373630)
  * Don't force overwrite mode if auto-rename enabled.  (closes: Bug#378076)
  * Don't ignore special chars when parsing MIME.  (closes: Bug#341440)
  * Fix for #320541 also fixes #242999.  (closes: Bug#242999)
  * Incorporate suspicious-file patch from Peter Muir.  (closes: Bug#166077)
  * Bump standards-version to 3.7.2.
  * Update FSF address.
  * Delete (malformed) end of this changelog.

 -- Chris Hanson <cph@debian.org>  Tue, 15 Aug 2006 00:40:50 -0400

uudeview (0.5.20-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix possible (but highly unlikely) race in temporary file generation
    (CAN-2004-2265), by passing the "x" (O_EXCL) flag to fopen when opening
    such files. (Closes: #320541)

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 14 Jun 2006 18:44:05 +0200

uudeview (0.5.20-2) unstable; urgency=high

  * Urgency high for RC bug fix.
  * Fix build problem caused by removal of psfig.sty.  (closes: Bug#266068)
  * Don't need to define _LARGEFILE64_SOURCE.  (closes: Bug#226766)

 -- Chris Hanson <cph@debian.org>  Tue, 17 Aug 2004 15:47:08 -0400

uudeview (0.5.20-1) unstable; urgency=low

  * New upstream version.
    - fixes two buffer overflows (closes: Bug#247137)
    - writes partial files (closes: Bug#165993)
    - new procedure UULoadFileWithPartNo (closes: Bug#234003)
  * Eliminate 2 lintian warnings and 1 lintian error.
  * Apply patch from nget maintainer:
    http://nget.sf.net/patches/uulib-0.5.19-uuinfofile-long-headers.patch

 -- Chris Hanson <cph@debian.org>  Thu, 20 May 2004 00:02:07 -0400

uudeview (0.5.19+beta20030413-2) unstable; urgency=low



=== debian/control ===
Source: uudeview
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Homepage: http://www.fpx.de/fp/Software/UUDeview/
Build-Depends: debhelper (>= 9), dh-autoreconf, tk-dev, tcl-dev, hevea,
 texlive-latex-base, texlive-latex-recommended, texlive-fonts-recommended,
 texlive-latex-extra, transfig
Standards-Version: 3.9.8

Package: uudeview
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: default-mta | mail-transport-agent, inews, xdeview
Description: Smart multi-file multi-part decoder (command line)
 This is a command-line decoder and encoder for files encoded with the
 following formats: uuencode, xxencode, BASE64, yEncoding, quoted printable,
 and BinHex.
 .
 This package used to contain an X11-based GUI decoder called xdeview.
 That program is now in the xdeview package.

Package: xdeview
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: exim4 | mail-transport-agent, inews
Description: Smart multi-file multi-part decoder (X11 GUI)
 This is an X11-based decoder for files encoded with the following
 formats: uuencode, xxencode, BASE64, yEncoding, quoted printable, and BinHex.

Package: libuu0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Library for de/encoding several popular file encodings - runtime
 Libuu is a library of functions for decoding and encoding files in
 the following formats: uuencode, xxencode, BASE64, yEncoding, quoted
 printable, and BinHex.
 .
 This package contains the shared library.

Package: libuu-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libuu0 (= ${binary:Version})
Description: Library for de/encoding several popular file encodings - development
 Libuu is a library of functions for decoding and encoding files in
 the following formats: uuencode, xxencode, BASE64, yEncoding, quoted
 printable, and BinHex.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS := hardening=+all
export DEB_CFLAGS_MAINT_APPEND := -Wall -D_FILE_OFFSET_BITS=64


override_dh_auto_configure:
	env with_includes=/usr/include/tcl \
		dh_auto_configure --verbose -- \
		--enable-tcl=/usr/lib/tcl \
		--enable-tk=/usr/lib/tk \
		--enable-sendmail=/usr/sbin/sendmail \
		--enable-inews=/usr/bin/inews

override_dh_auto_build:
	dh_auto_build --verbose
	(cd doc && $(MAKE) html)
	# run autopkgtest
	chmod +x debian/tests/decode-noninteractive && \
		mkdir debian/tests/output && \
		env AUTOPKGTEST_TMP=$(CURDIR)/debian/tests/output \
		LD_LIBRARY_PATH=$(CURDIR)/uulib \
		PATH=$(CURDIR)/unix:$$PATH \
		debian/tests/decode-noninteractive && \
		rm -rvf $(CURDIR)/debian/tests/output

override_dh_auto_install:
	for i in usr/share/man/man1 usr/bin ; do \
		test -d debian/tmp/$$i || mkdir -p debian/tmp/$$i ; \
		done
	dh_auto_install --verbose

%:
	dh $@ --with autoreconf

=== debian/tests/control ===
Tests: decode-noninteractive
Depends: uudeview
Restrictions: allow-stderr

## uudeview 0.5.20%2B20241111

=== debian/changelog ===
uudeview (0.5.20+20241111-1) unstable; urgency=low

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 14 Dec 2024 15:21:35 +0100

uudeview (0.5.20+20241015-1) unstable; urgency=medium

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 19 Oct 2024 06:51:25 +0200

uudeview (0.5.20+20240711-2) unstable; urgency=medium

  * Add VCS-Git fields.
  * Change homepage field to point to new github site.
  * Adopt package. Closes: #829684
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 12 Jul 2024 10:57:51 +0200

uudeview (0.5.20+20240711-1) experimental; urgency=medium

  * QA upload.
  * Point watchfile to github HEAD.
  * New upstream version.
    + Fixes FTBFS with gcc-14. Closes: #1075613
  * Add symbol file.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 11 Jul 2024 13:20:18 +0200

uudeview (0.5.20+20230502-1) experimental; urgency=low

  * QA upload.
  * New upstream GIT snapshot from https://github.com/hannob/uudeview
    + Drop all patches except 040_add_shared_lib.diff.
    + Drop debian/uuwish.1, included upstream.
  * Drop unused debian/shlibs.local.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 04 Feb 2024 14:29:23 +0100

uudeview (0.5.20-14) unstable; urgency=medium

  * QA upload.
  * Add 51_configure-c99.patch by Florian Weimer from the Fedora package,
    fixing a C99 issue in the configure script.
  * [lintian] Drop support for legacy ADTTMP variable from CI test.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 01 May 2023 13:14:30 +0200

uudeview (0.5.20-13) unstable; urgency=medium

  * QA upload.
  * Run wrap-and-sort -ast.
  * Use watchfile v4 mode.
  * Use dh 13 compat.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 24 Dec 2021 14:09:48 +0100

uudeview (0.5.20-12) unstable; urgency=low

  [ Helmut Grohne ]
  * Honour DEB_BUILD_OPTIONS=nocheck. (Closes: #956346)

  [ Andreas Metzler ]
  * QA upload.
  * [lintian] Use dh 12 compat, drop debian/compat.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 10 Apr 2020 17:47:34 +0200

uudeview (0.5.20-11) unstable; urgency=low

  * QA upload.
  * Run "wrap-and-sort --max-line-length=72 --short-indent".
  * Add watchfile.
  * [lintian] Drop trailing blanks in debian/changelog.
  * [lintian] 046_typoes.diff: Fix another typo (promt)
  * [lintian] Fix xdeview Suggests, default-mta |
    mail-transport-agent instead of exim4 | mail-transport-agent.
  * Use debhelper 11 compat level.
  * Set Rules-Requires-Root: no.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 17 Nov 2018 14:41:15 +0100

uudeview (0.5.20-10) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with glibc 2.27.
  * Update the package description to mention MIME
    as suggested by Andrew Clausen. (Closes: #667046)

 -- Adrian Bunk <bunk@debian.org>  Fri, 09 Mar 2018 23:22:49 +0200

## uudeview 0.5.20%2B20250228

=== doc/Makefile ===
#
# $Id: Makefile,v 1.2 1996/06/15 11:49:05 fp Exp $
#

DVI	=	library.dvi
PS	=	${DVI:.dvi=.ps}
HTML	=	${DVI:.dvi=.html}

LATEX	=	latex
DVIPS	=	dvips
FIG2DEV	=	fig2dev


.SUFFIXES:
.SUFFIXES: .ltx .dvi .ps .fig .tex .eps


all:	$(DVI)
dvi:	$(DVI)
ps:	$(PS)
html:	$(HTML)


library.ps:		library.dvi
library.dvi:		library.ltx structure.tex binhex.tex

library.html:	library.ltx library.dvi
	hevea -fix -o $@ $<

clean:
	rm -f *.aux *.haux *.log *.toc *.htoc *~ *.html
	rm -f *.o td-v1 td-v2 td-v3

distclean: clean
	for fig in *.fig ; do \
		rm -f `basename $$fig .fig`.eps ; \
		rm -f `basename $$fig .fig`.tex ; \
	done
	rm -f *.dvi *.ps

.ltx.dvi:
	$(LATEX) $<
	$(LATEX) $<

.dvi.ps:
	$(DVIPS) -f < $< > $@

.fig.tex:
	$(FIG2DEV) -L latex < $< > $@

.fig.eps:
	$(FIG2DEV) -L ps < $< > $@

=== debian/changelog ===
uudeview (0.5.20+20250228-1) unstable; urgency=medium

  * New upstream version.
    + Fixes FTBFS with gcc-15. Closes: #1098053

 -- Andreas Metzler <ametzler@debian.org>  Sat, 01 Mar 2025 13:45:23 +0100

=== debian/control ===
Source: uudeview
Section: utils
Priority: optional
Maintainer: Andreas Metzler <ametzler@debian.org>
Homepage: https://github.com/hannob/uudeview
Build-Depends:
 debhelper-compat (= 13),
 hevea,
 tcl-dev,
 texlive-fonts-recommended,
 texlive-latex-base,
 texlive-latex-extra,
 texlive-latex-recommended,
 tk-dev,
 transfig,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/uudeview.git
Vcs-Browser: https://salsa.debian.org/debian/uudeview

Package: uudeview
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 default-mta | mail-transport-agent,
 inews,
 xdeview,
Description: Smart multi-file multi-part decoder (command line)
 This is a command-line decoder and encoder for multi-part MIME files
 encoded with the following formats: uuencode, xxencode, BASE64,
 yEncoding, quoted printable, and BinHex.
 .
 This package used to contain an X11-based GUI decoder called xdeview.
 That program is now in the xdeview package.

Package: xdeview
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 default-mta | mail-transport-agent,
 inews,
Description: Smart multi-file multi-part decoder (X11 GUI)
 This is an X11-based decoder for files encoded with the following
 formats: uuencode, xxencode, BASE64, yEncoding, quoted printable, and BinHex.

Package: libuu0
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Library for de/encoding several popular file encodings - runtime
 Libuu is a library of functions for decoding and encoding files in
 the following formats: uuencode, xxencode, BASE64, yEncoding, quoted
 printable, and BinHex.
 .
 This package contains the shared library.

Package: libuu-dev
Section: libdevel
Architecture: any
Depends:
 libuu0 (= ${binary:Version}),
 ${misc:Depends},
Description: Library for de/encoding several popular file encodings - development
 Libuu is a library of functions for decoding and encoding files in
 the following formats: uuencode, xxencode, BASE64, yEncoding, quoted
 printable, and BinHex.
 .
 This package contains the development files.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all
 export DEB_CFLAGS_MAINT_APPEND := -Wall -D_FILE_OFFSET_BITS=64
-
+export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
 
 override_dh_auto_configure:
 	env with_includes=/usr/include/tcl \
@@ -15,6 +15,10 @@
 override_dh_auto_build:
 	dh_auto_build --verbose
 	(cd doc && $(MAKE) html)
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	dh_auto_test
 	# run autopkgtest
 	chmod +x debian/tests/decode-noninteractive && \
 		mkdir debian/tests/output && \
@@ -23,6 +27,9 @@
 		PATH=$(CURDIR)/unix:$$PATH \
 		debian/tests/decode-noninteractive && \
 		rm -rvf $(CURDIR)/debian/tests/output
+else
+	@echo 'Not running testsuite, "nocheck" in $$DEB_BUILD_OPTIONS'
+endif
 
 override_dh_auto_install:
 	for i in usr/share/man/man1 usr/bin ; do \
@@ -31,4 +38,4 @@
 	dh_auto_install --verbose
 
 %:
-	dh $@ --with autoreconf
+	dh $@

## uudeview 0.5.20+20240711

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  texlive-latex-recommended,
  tk-dev,
  transfig,
-Standards-Version: 4.7.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/uudeview.git
 Vcs-Browser: https://salsa.debian.org/debian/uudeview

## uudeview 0.5.20+20250228

=== debian/changelog ===
uudeview (0.5.20+20250228-1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Tue, 10 Feb 2026 23:42:49 +0100
